# HtmlEscape class

Converter which escapes characters with special meaning in HTML.

The converter finds characters that are significant in HTML source and replaces them with corresponding HTML entities.

The characters that need escaping in HTML are:

- `&` (ampersand) always need to be escaped.
- `<` (less than) and '>' (greater than) when inside an element.
- `"` (quote) when inside a double-quoted attribute value.
- `'` (apostrophe) when inside a single-quoted attribute value. Apostrophe is escaped as `&#39;` instead of `&apos;` since not all browsers understand `&apos;`.
- `/` (slash) is recommended to be escaped because it may be used to terminate an element in some HTML dialects.

Escaping `>` (greater than) isn't necessary, but the result is often found to be easier to read if greater-than is also escaped whenever less-than is.

Inheritance
  - Object
  - StreamTransformerBase<String, String>
  - Converter<String, String>
  - HtmlEscape

## Constructors

HtmlEscape([HtmlEscapeMode mode = HtmlEscapeMode.unknown ])
  Create converter that escapes HTML characters. [...]
  const

## Properties

mode → HtmlEscapeMode
  The HtmlEscapeMode used by the converter.
  final
hashCode → int
  The hash code for this object. [...]
  read-only, inherited
runtimeType → Type
  A representation of the runtime type of the object.
  read-only, inherited

## Methods

convert(String text) → String
  Converts `input` and returns the result of the conversion.
  override
startChunkedConversion(Sink<String> sink) → StringConversionSink
  Starts a chunked conversion. [...]
  override
bind(Stream<String> stream) → Stream<String>
  Transforms the provided `stream`. [...]
  inherited
cast<RS, RT>() → Converter<RS, RT>
  Provides a `Converter<RS, RT>` view of this stream transformer. [...]
  inherited
fuse<TT>(Converter<String, TT> other) → Converter<String, TT>
  Fuses `this` with `other`. [...]
  inherited
noSuchMethod(Invocation invocation) → dynamic
  Invoked when a non-existent method or property is accessed. [...]
  inherited
toString() → String
  Returns a string representation of this object.
  inherited

## Operators

operator ==(dynamic other) → bool
  The equality operator. [...]
  inherited